Bug 132889 - anaconda crash on Toshiba 480CDT laptop
anaconda crash on Toshiba 480CDT laptop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 15:51 EDT by Krisztian Hildebrand
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 15:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krisztian Hildebrand 2004-09-18 15:51:24 EDT
Description of problem:

Installation crashes after setting up parameters on my Toshoba 480CDT 
laptop.

Version-Release number of selected component (if applicable):

fc2-i386-core1

How reproducible:

Boot from CD, go through setup process and wait to get system 
installed. 

Steps to reproduce:
1.
2.
3.
  
Actual results:

Crash or Error message

Expected results:

System install :-)

Additional info:



Traceback (most recent call last):
 File "usr/lib/anaconda/guy.py", line 1048, in handleRenderCallback 
self.currentWindo.renderCallback()

 File "usr/lib/anaconda/iw/progress_guy.py", line 242, in 
renderCallback self.intf.icw.nextClicked()

 File "/usr/lib/anaconda/gui.py", line 763, in nextClicked 
self.dispatch.gotoNext()

 File "/usr/lib/anaconda/dispatch.py", line 169, in gotoNext 
self.moveStep()

 File "/usr/lib/anaconda/dispatch.py", line 237, in moveStep rc = 
apply(func, self.bindArgs(args))

 File "/usr/lib/anaconda/packages.py", line 539, in turnOnFilesystems 
thefsset.formatEntry(entry, chroot)

 File "/usr/lib/anaconda/fsset.py", line 1247, in formatSwap 
self.formatEntry(entry, chroot)

 File "usr/lib/anaconda/fsset.py", line 1290, in formatEntry 
entry.fsystem.formatDevice(entry, self.progressWindow, chroot)

 File "/usr/lib/anaconda/fsset.py", line 709, in formatDevice 
searchPath = 1)

 File "/usr/lib/anaconda/iutil.py", line 55, in execWithRedirect 
childpid = os.fork()

OSError:  [Errno 12] cannot allocate memory
Comment 1 Jeremy Katz 2004-09-20 13:53:37 EDT
How much memory does the laptop have?
Comment 2 Krisztian Hildebrand 2004-09-20 19:18:46 EDT
Should open box to see RAM modules. Windows 98 reported 80 MB. I 
think it is a total of 96, 16M being reserved for video ??? 
Comment 3 Jeremy Katz 2004-09-21 10:00:58 EDT
Can you provide the contents of /proc/meminfo?  (Booting with 'linux
text' should let you get it installed)
Comment 4 Jeremy Katz 2004-10-07 15:05:18 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.